package cn.yyxx.commsdk.base.entity;

/**
 * @author #Suyghur.
 * Created on 2021/12/25
 */
public class SdkRoleInfo {
    public String getRoleId() {
        return this.roleId;
    }

    public void setRoleId(final String roleId) {
        this.roleId = roleId;
    }

    public String getRoleName() {
        return this.roleName;
    }

    public void setRoleName(final String roleName) {
        this.roleName = roleName;
    }

    public String getRoleLevel() {
        return this.roleLevel;
    }

    public void setRoleLevel(final String roleLevel) {
        this.roleLevel = roleLevel;
    }

    public String getGender() {
        return this.gender;
    }

    public void setGender(final String gender) {
        this.gender = gender;
    }

    public String getServerId() {
        return this.serverId;
    }

    public void setServerId(final String serverId) {
        this.serverId = serverId;
    }

    public String getServerName() {
        return this.serverName;
    }

    public void setServerName(final String serverName) {
        this.serverName = serverName;
    }

    public String getHasGold() {
        return this.HasGold;
    }

    public void setHasGold(final String hasGold) {
        this.HasGold = hasGold;
    }

    public String getVipLevel() {
        return this.vipLevel;
    }

    public void setVipLevel(final String vipLevel) {
        this.vipLevel = vipLevel;
    }

    public String getRolePower() {
        return this.RolePower;
    }

    public void setRolePower(final String rolePower) {
        this.RolePower = rolePower;
    }

    public String getPartyId() {
        return this.partyId;
    }

    public void setPartyId(final String partyId) {
        this.partyId = partyId;
    }

    public String getPartyName() {
        return this.partyName;
    }

    public void setPartyName(final String partyName) {
        this.partyName = partyName;
    }

    public String getRoleCreateTime() {
        return this.roleCreateTime;
    }

    public void setRoleCreateTime(final String roleCreateTime) {
        this.roleCreateTime = roleCreateTime;
    }

    public String getReincarnationCount() {
        return this.reincarnationCount;
    }

    public void setReincarnationCount(final String reincarnationCount) {
        this.reincarnationCount = reincarnationCount;
    }

    public String getCharge() {
        return this.charge;
    }

    public void setCharge(final String charge) {
        this.charge = charge;
    }

    public String getProfession() {
        return this.profession;
    }

    public void setProfession(final String profession) {
        this.profession = profession;
    }

    public String getRoleExt() {
        return this.roleExt;
    }

    public void setRoleExt(final String roleExt) {
        this.roleExt = roleExt;
    }

    String roleId,roleName,roleLevel,gender,serverId,serverName,HasGold,vipLevel,RolePower,partyId,
    partyName,roleCreateTime,reincarnationCount,charge,profession,roleExt;

    @Override
    public String toString() {
        return "SdkRoleInfo{" +
                "roleId='" + roleId + '\'' +
                ", roleName='" + roleName + '\'' +
                ", roleLevel='" + roleLevel + '\'' +
                ", gender='" + gender + '\'' +
                ", serverId='" + serverId + '\'' +
                ", serverName='" + serverName + '\'' +
                ", HasGold='" + HasGold + '\'' +
                ", vipLevel='" + vipLevel + '\'' +
                ", RolePower='" + RolePower + '\'' +
                ", partyId='" + partyId + '\'' +
                ", partyName='" + partyName + '\'' +
                ", roleCreateTime='" + roleCreateTime + '\'' +
                ", reincarnationCount='" + reincarnationCount + '\'' +
                ", charge='" + charge + '\'' +
                ", profession='" + profession + '\'' +
                ", roleExt='" + roleExt + '\'' +
                '}';
    }
}
